theory List_Bits_SPMF imports
  List_Bits
  SPMF
begin

lemma one_time_pad:
  fixes xs :: "_ :: boolean_algebra list"
  shows "length xs \<ge> n \<Longrightarrow> map_spmf (xor_list xs) (spmf_of_set (nlists UNIV n)) = spmf_of_set (nlists UNIV n)"
by(auto 4 3 simp add: in_nlists_UNIV intro: xor_list_left_inverse[symmetric] rev_image_eqI intro!: arg_cong[where f=spmf_of_set])

end